## AgsIpatchSample

AgsIpatchSample — interfacing Soundfont2 related API of libinstpatch

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_IPATCH_SAMPLE_GET_OBJ_MUTEX()
AgsIpatchSample * | ags_ipatch_sample_new ()

## Properties

guint | buffer-size | Read / Write
guint | format | Read / Write
GObject * | sample | Read / Write
guint | buffer-size | Read / Write
guint | format | Read / Write
GObject * | sample | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsIpatchSample

## Includes

    #include <ags/audio/file/ags_ipatch_sample.h>

## Description

AgsIpatchSample is the base object to ineract with Soundfont2 related API.

## Functions

### AGS_IPATCH_SAMPLE_GET_OBJ_MUTEX()

    #define AGS_IPATCH_SAMPLE_GET_OBJ_MUTEX(obj) (&(((AgsIpatchSample *) obj)->obj_mutex))

### ags_ipatch_sample_new ()

    AgsIpatchSample *
    ags_ipatch_sample_new ();

Creates a new instance of AgsIpatchSample.

#### Returns

the new AgsIpatchSample.

Since: 3.0.0

## Property Details

### The `“buffer-size”` property

      “buffer-size”              guint

The buffer size to be used.

Owner: AgsIpatchSample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“format”` property

      “format”                   guint

The format to be used.

Owner: AgsIpatchSample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“sample”` property

      “sample”                   GObject *

The assigned output IpatchSample.

Owner: AgsIpatchSample

Flags: Read / Write

Since: 3.0.0

### The `“buffer-size”` property

      “buffer-size”              guint

The buffer size to be used.

Owner: AgsIpatchSample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“format”` property

      “format”                   guint

The format to be used.

Owner: AgsIpatchSample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“sample”` property

      “sample”                   GObject *

The assigned output IpatchSample.

Owner: AgsIpatchSample

Flags: Read / Write

Since: 3.0.0